library: libGeom #include "TGeoPatternFinder.h"

# TGeoPatternCylR

class description - source file - inheritance tree (.ps)

## class TGeoPatternCylR : public TGeoPatternFinder

| Inheritance Chart:

`TObject`

<-

`TGeoPatternFinder`

<-

`TGeoPatternCylR`

        public:

                            TGeoPatternCylR()
                            TGeoPatternCylR(TGeoVolume* vol, Int_t ndivisions)
                            TGeoPatternCylR(TGeoVolume* vol, Int_t ndivisions, Double_t step)
                            TGeoPatternCylR(TGeoVolume* vol, Int_t ndivisions, Double_t start, Double_t end)
                            TGeoPatternCylR(const TGeoPatternCylR&)
                    virtual ~TGeoPatternCylR()
               virtual void cd(Int_t idiv)
             static TClass* Class()
          virtual TGeoNode* FindNode(Double_t* point)
            virtual TClass* IsA() const
           TGeoPatternCylR& operator=(const TGeoPatternCylR&)
               virtual void ShowMembers(TMemberInspector& insp, char* parent)
               virtual void Streamer(TBuffer& b)
                       void StreamerNVirtual(TBuffer& b)

### Data Members

## Class Description

TGeoPatternCylR()

     Default constructor

TGeoPatternCylR(TGeoVolume *vol, Int_t ndivisions) :TGeoPatternFinder(vol, ndivisions)

     constructor

TGeoPatternCylR(TGeoVolume *vol, Int_t ndivisions, Double_t step) :TGeoPatternFinder(vol, ndivisions)

     constructor

TGeoPatternCylR(TGeoVolume *vol, Int_t ndivisions, Double_t start, Double_t end) :TGeoPatternFinder(vol, ndivisions)

     constructor

~TGeoPatternCylR()

     Destructor

TGeoNode* FindNode(Double_t *point)

     find the node containing the query point

### Inline Functions

                        void cd(Int_t idiv)
                     TClass* Class()
                     TClass* IsA() const
                        void ShowMembers(TMemberInspector& insp, char* parent)
                        void Streamer(TBuffer& b)
                        void StreamerNVirtual(TBuffer& b)
             TGeoPatternCylR TGeoPatternCylR(const TGeoPatternCylR&)
            TGeoPatternCylR& operator=(const TGeoPatternCylR&)

Author: Andrei Gheata 30/10/01
Last update: root/geom:$Name: $:$Id: TGeoPatternFinder.cxx,v 1.10 2004/02/10 08:56:20 brun Exp $